
_InitMain:
;PWM FOR 16F877A.c,3 :: 		void InitMain() {
;PWM FOR 16F877A.c,4 :: 		ADCON1 = 6;
	MOVLW      6
	MOVWF      ADCON1+0
;PWM FOR 16F877A.c,5 :: 		CMCON = 7;
	MOVLW      7
	MOVWF      CMCON+0
;PWM FOR 16F877A.c,6 :: 		PORTA = 255;
	MOVLW      255
	MOVWF      PORTA+0
;PWM FOR 16F877A.c,7 :: 		TRISA = 255;                        // configure PORTA pins as input
	MOVLW      255
	MOVWF      TRISA+0
;PWM FOR 16F877A.c,8 :: 		PORTB = 0;                          // set PORTB to 0
	CLRF       PORTB+0
;PWM FOR 16F877A.c,9 :: 		TRISB = 0;                          // designate PORTB pins as output
	CLRF       TRISB+0
;PWM FOR 16F877A.c,10 :: 		PORTC = 0;                          // set PORTC to 0
	CLRF       PORTC+0
;PWM FOR 16F877A.c,11 :: 		TRISC = 0;                          // designate PORTC pins as output
	CLRF       TRISC+0
;PWM FOR 16F877A.c,12 :: 		PWM1_Init(5000);                    // Initialize PWM1 module at 5KHz
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      99
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
;PWM FOR 16F877A.c,13 :: 		PWM2_Init(5000);                    // Initialize PWM2 module at 5KHz
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      99
	MOVWF      PR2+0
	CALL       _PWM2_Init+0
;PWM FOR 16F877A.c,14 :: 		}
	RETURN
; end of _InitMain

_main:
;PWM FOR 16F877A.c,16 :: 		void main() {
;PWM FOR 16F877A.c,17 :: 		InitMain();
	CALL       _InitMain+0
;PWM FOR 16F877A.c,18 :: 		current_duty  = 16;                 // initial value for current_duty
	MOVLW      16
	MOVWF      _current_duty+0
;PWM FOR 16F877A.c,19 :: 		current_duty1 = 16;                 // initial value for current_duty1
	MOVLW      16
	MOVWF      _current_duty1+0
;PWM FOR 16F877A.c,21 :: 		PWM1_Start();                       // start PWM1
	CALL       _PWM1_Start+0
;PWM FOR 16F877A.c,22 :: 		PWM2_Start();                       // start PWM2
	CALL       _PWM2_Start+0
;PWM FOR 16F877A.c,23 :: 		PWM1_Set_Duty(current_duty);        // Set current duty for PWM1
	MOVF       _current_duty+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;PWM FOR 16F877A.c,24 :: 		PWM2_Set_Duty(current_duty1);       // Set current duty for PWM2
	MOVF       _current_duty1+0, 0
	MOVWF      FARG_PWM2_Set_Duty_new_duty+0
	CALL       _PWM2_Set_Duty+0
;PWM FOR 16F877A.c,26 :: 		while (1) {                         // endless loop
L_main0:
;PWM FOR 16F877A.c,27 :: 		if (RA0_bit) {                    // button on RA0 pressed
	BTFSS      RA0_bit+0, 0
	GOTO       L_main2
;PWM FOR 16F877A.c,28 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_main3:
	DECFSZ     R13+0, 1
	GOTO       L_main3
	DECFSZ     R12+0, 1
	GOTO       L_main3
	NOP
;PWM FOR 16F877A.c,29 :: 		current_duty++;                 // increment current_duty
	INCF       _current_duty+0, 1
;PWM FOR 16F877A.c,30 :: 		PWM1_Set_Duty(current_duty);
	MOVF       _current_duty+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;PWM FOR 16F877A.c,31 :: 		}
L_main2:
;PWM FOR 16F877A.c,33 :: 		if (RA1_bit) {                    // button on RA1 pressed
	BTFSS      RA1_bit+0, 1
	GOTO       L_main4
;PWM FOR 16F877A.c,34 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_main5:
	DECFSZ     R13+0, 1
	GOTO       L_main5
	DECFSZ     R12+0, 1
	GOTO       L_main5
	NOP
;PWM FOR 16F877A.c,35 :: 		current_duty--;                 // decrement current_duty
	DECF       _current_duty+0, 1
;PWM FOR 16F877A.c,36 :: 		PWM1_Set_Duty(current_duty);
	MOVF       _current_duty+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;PWM FOR 16F877A.c,37 :: 		}
L_main4:
;PWM FOR 16F877A.c,39 :: 		if (RA2_bit) {                    // button on RA2 pressed
	BTFSS      RA2_bit+0, 2
	GOTO       L_main6
;PWM FOR 16F877A.c,40 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_main7:
	DECFSZ     R13+0, 1
	GOTO       L_main7
	DECFSZ     R12+0, 1
	GOTO       L_main7
	NOP
;PWM FOR 16F877A.c,41 :: 		current_duty1++;                // increment current_duty1
	INCF       _current_duty1+0, 1
;PWM FOR 16F877A.c,42 :: 		PWM2_Set_Duty(current_duty1);
	MOVF       _current_duty1+0, 0
	MOVWF      FARG_PWM2_Set_Duty_new_duty+0
	CALL       _PWM2_Set_Duty+0
;PWM FOR 16F877A.c,43 :: 		}
L_main6:
;PWM FOR 16F877A.c,45 :: 		if (RA3_bit) {                    // button on RA3 pressed
	BTFSS      RA3_bit+0, 3
	GOTO       L_main8
;PWM FOR 16F877A.c,46 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_main9:
	DECFSZ     R13+0, 1
	GOTO       L_main9
	DECFSZ     R12+0, 1
	GOTO       L_main9
	NOP
;PWM FOR 16F877A.c,47 :: 		current_duty1--;                // decrement current_duty1
	DECF       _current_duty1+0, 1
;PWM FOR 16F877A.c,48 :: 		PWM2_Set_Duty(current_duty1);
	MOVF       _current_duty1+0, 0
	MOVWF      FARG_PWM2_Set_Duty_new_duty+0
	CALL       _PWM2_Set_Duty+0
;PWM FOR 16F877A.c,49 :: 		}
L_main8:
;PWM FOR 16F877A.c,51 :: 		Delay_ms(5);                      // slow down change pace a little
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_main10:
	DECFSZ     R13+0, 1
	GOTO       L_main10
	DECFSZ     R12+0, 1
	GOTO       L_main10
	NOP
	NOP
;PWM FOR 16F877A.c,52 :: 		}
	GOTO       L_main0
;PWM FOR 16F877A.c,53 :: 		}
	GOTO       $+0
; end of _main
